import mock
import unittest
from unittest import TestCase
from src.student import Student


def mock_get_school(school_name):
    return {"school_name": school_name, "student_count": 100, "teacher_count": 8}


class StudentTest(TestCase):
    def setUp(self):
        self.student = Student("Tester", "Test High")

    @mock.patch("src.api.school.get_school", mock_get_school)
    def test_get_details(self):
        student_details = self.student.get_details()

        assert student_details["student_name"] == self.student.student_name
        assert student_details["school"]["school_name"] == self.student.school_name
        assert student_details["school"]["student_count"] == 100
        assert student_details["school"]["teacher_count"] == 8


if __name__ == "__main__":
    unittest.main()
