import mock
import unittest
from unittest import TestCase
from src.student import Student


def mock_get_school(school_name):
    return {"school_name": school_name, "student_count": 100, "teacher_count": 8}


class StudentTest(TestCase):
    mock_school_api = mock.MagicMock(side_effect=mock_get_school)

    def setUp(self):
        self.student = Student("Tester", "Test High")
        StudentTest.mock_school_api.reset_mock()

    @mock.patch("src.api.school.get_school", mock_school_api)
    def test_get_details_4(self):
        student_details = self.student.get_details()

        assert student_details["school"]["school_name"] == self.student.school_name
        assert student_details["school"]["student_count"] == 100
        assert student_details["school"]["teacher_count"] == 8
        StudentTest.mock_school_api.assert_called_once()


if __name__ == "__main__":
    unittest.main()
